- updated
[packages/browser-plugins.git] / browser-plugins.README
1 browser-plugins 2.0 for PLD Linux
2
3 Author: Elan Ruusam√§e <glen@pld-linux.org>
4 Author: Patryk Zawadzki <patrys@pld-linux.org>
5
6 Technical implementation
7 ~~~~~~~~~~~~~~~~~~~~~~~~
8
9 filesystem provides:
10 - %dir %{_plugindir}
11 %{_plugindir} expands to %{_libdir}/browser-plugins
12
13 browser-plugins provides:
14 - %dir /etc/browser-plugins
15 - %dir /etc/browser-plugins/browser.d
16 - %dir /etc/browser-plugins/blacklist.d
17 - %{_sbindir}/update-browser-plugins script
18 The script will parse /etc/browser-plugins/*.blacklist and delete dead and add
19 new symlinks to browser specific plugin directories.
20
21 The list of browser plugin directories is taken by reading existing symlinks
22 matching glob: /etc/browser-plugins/browser.d/<browser>.%{_target_base_arch}
23
24 The update script will scan /usr/lib/browser-plugins and
25 /usr/lib64/browser-plugins dir for existing plugins as browser-plugins itself
26 is noarch package.
27
28 browser-plugins requires:
29 - filesystem >= EVR
30 the EVR is package version including %{_libdir}/browser-plugins directory.
31
32 plugin provides:
33 - %config(noreplace) /etc/browser-plugins/blacklist.d/<plugin>-<browser>.%{_target_base_arch}.blacklist
34 The blacklist contains shell globs of filenames to be excluded from linking to
35 browser specific plugin directory. The shell globs are base of %{_plugindir},
36 subdirectories are allowed. Comments and empty lines are ignored.
37
38 - %post/%postun scriptlet
39 the scriptlet will call %update_browser_plugins
40
41 plugin requires:
42 - BuildRequires: rpmbuild(macros) >= VERSION
43 - Requires: browser-plugins >= 2.0
44
45 browser provides:
46 - /etc/browser-plugins/browser.d/<browser>.%{_target_base_arch} symlink
47 the symlink will point to the single directory where it searches for its plugins.
48
49 - %post/%postun scriptlet
50 the scriptlet will call %update_browser_plugins
51
52 browser requires:
53 - BuildRequires: rpmbuild(macros) >= VERSION
54 - Requires: browser-plugins >= 2.0
55
56 rpm-build-macros provides:
57 - %update_browser_plugins macro
58 the macro will just call /usr/sbin/update-browser-plugins and ignore any errors from it.
59 - %{_browser_plugindir} macro
60 the macro will be defined as /usr/%{_lib}/browser-plugins
61
62 adapter provides:
63 - replacement for sole location of browser-plugins with %{_browser_plugindir} macro
This page took 0.053642 seconds and 3 git commands to generate.